Files
Write a file to a sandbox
Creates parent directories as needed and overwrites any existing file.
POST
/
files
Write a file to a sandbox
curl --request POST \
--url https://sandbox.superserve.ai/files \
--header 'Content-Type: application/octet-stream' \
--header 'X-Access-Token: <api-key>' \
--data '"<string>"'import requests
url = "https://sandbox.superserve.ai/files"
payload = "<string>"
headers = {
"X-Access-Token": "<api-key>",
"Content-Type": "application/octet-stream"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Access-Token': '<api-key>', 'Content-Type': 'application/octet-stream'},
body: JSON.stringify('<string>')
};
fetch('https://sandbox.superserve.ai/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"path": "/home/user/out.txt",
"size": 1024
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Authorizations
Per-sandbox token returned by create, resume, and activate. Grants access to a single sandbox's files and commands. Distinct from the team X-API-Key.
Query Parameters
Absolute path inside the sandbox (e.g. /home/user/out.txt).
Body
application/octet-stream
The body is of type file.
⌘I
Write a file to a sandbox
